Subject: [ippm] WGLC for draft-ietf-ippm-2679-bis-00 and draft-ietf-ippm-2680-bis-00

From: Bill Cerveny <[email-masked]>
Date: Tue, 6 Jan 2015 10:51:42 -0500

As discussed at the IETF meeting, drafts draft-ietf-ippm-2679-bis-00 (A One-Way Delay Metric for IPPM) and draft-ietf-ippm-2680-bis-00 (A One-Way Loss Metric for IPPM) are ready for Working Group Last Call (WGLC). As such, these documents will be in WGLC until Friday, January 23, 2014.

Please send comments to [email-masked] <mailto:[email-masked]>, including statements that you've reviewed the document and are okay with sending it up to the IESG for publication. 

For those new to IETF process, the WGLC process is discussed at:
- https://tools.ietf.org/html/rfc2418#section-7.4 <https://tools.ietf.org/html/rfc2418#section-7.4>
- https://tools.ietf.org/html/rfc6174#section-4.2.7 <https://tools.ietf.org/html/rfc6174#section-4.2.7>

Basic information on the documents is below.

       Title           : A One-Way Delay Metric for IPPM
       Authors         : Guy Almes
                         Sunil Kalidindi
                         Matt Zekauskas
                         Al Morton
	Filename        : draft-ietf-ippm-2679-bis-00.txt
	Pages           : 24
	Date            : 2014-10-23

Abstract:
  This memo (RFC 2679 bis) defines a metric for one-way delay of
  packets across Internet paths.  It builds on notions introduced and
  discussed in the IPPM Framework document, RFC 2330; the reader is
  assumed to be familiar with that document.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-ippm-2679-bis/ <https://datatracker.ietf.org/doc/draft-ietf-ippm-2679-bis/>

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-ippm-2679-bis-00 <http://tools.ietf.org/html/draft-ietf-ippm-2679-bis-00>

       Title           : A One-Way Loss Metric for IPPM
       Authors         : Guy Almes
                         Sunil Kalidindi
                         Matt Zekauskas
                         Al Morton
	Filename        : draft-ietf-ippm-2680-bis-00.txt
	Pages           : 19
	Date            : 2014-10-23

Abstract:
  This memo (RFC 2680 bis) defines a metric for one-way loss of packets
  across Internet paths.  It builds on notions introduced and discussed
  in the IPPM Framework document, RFC 2330; the reader is assumed to be
  familiar with that document.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-ippm-2680-bis/ <https://datatracker.ietf.org/doc/draft-ietf-ippm-2680-bis/>

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-ippm-2680-bis-00 <http://tools.ietf.org/html/draft-ietf-ippm-2680-bis-00>

Regards,

Bill Cerveny
IPPM WG Co-chair

---

From: <[email-masked]>
Date: Wed, 7 Jan 2015 13:40:44 +0100

Bill, Al

thanks. both drafts read good and I hope they will get RFC's soon.

I however missed one QoS related point during an earlier review I made:

3.6 Methodologies:

   As with other Type-P-* metrics, the detailed methodology will depend
   on the Type-P (e.g., protocol number, UDP/TCP port number, size,
   precedence).

If precedence refers to Type of Service, which has been changed to DSCP meanwhile, then precedence should be changed to DSCP (and/or ECN codepoint) or DS field. There is no IP precedence specified for IPv6.

3.8.1. Type-P

    . . .The value of Type-P-One-way-Delay could change if the
   protocol (UDP or TCP), port number, size, or arrangement for special
   treatment (e.g., IP precedence or RSVP) changes. . .

If precedence refers to Type of Service, which has been changed to DSCP meanwhile, then precedence should be changed to DSCP (and/or ECN codepoint) or DS field. There is no IP precedence specified for IPv6.

And the same comment also relates to draft-ietf-ippm-2680-bis-00:

2.6 Methodologies:

   As with other Type-P-* metrics, the detailed methodology will depend
   on the Type-P (e.g., protocol number, UDP/TCP port number, size,
   precedence).

If precedence refers to Type of Service, which has been changed to DSCP meanwhile, then precedence should be changed to DSCP (and/or ECN codepoint) or DS field. There is no IP precedence specified for IPv6.

2.8.1 Type-P

   . . The value of Type-P-One-way-Delay could change if the
   protocol (UDP or TCP), port number, size, or arrangement for special
   treatment (e.g., IP precedence or RSVP) changes...

If precedence refers to Type of Service, which has been changed to DSCP meanwhile, then precedence should be changed to DSCP (and/or ECN codepoint) or DS field. There is no IP precedence specified for IPv6.

And one nit:

7. RFC 2680 bis

...9.

No content.

Otherwise my comment is go ahead with both drafts.

Regards,

Ruediger

Von: ippm [mailto:[email-masked]]
Gesendet: Dienstag, 6. Januar 2015 16:52
An: [email-masked]
Betreff: [ippm] WGLC for draft-ietf-ippm-2679-bis-00 and draft-ietf-ippm-2680-bis-00

Please send comments to [email-masked]<mailto:[email-masked]>, including statements that you've reviewed the document and are okay with sending it up to the IESG for publication.

For those new to IETF process, the WGLC process is discussed at:
- https://tools.ietf.org/html/rfc2418#section-7.4
- https://tools.ietf.org/html/rfc6174#section-4.2.7

Abstract:

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-ippm-2679-bis/

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-ippm-2679-bis-00

Abstract:

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-ippm-2680-bis/

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-ippm-2680-bis-00

Regards,

Bill Cerveny
IPPM WG Co-chair

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Mon, 26 Jan 2015 16:14:23 -0500

Hi Rüdiger,

Thanks for your review and comments (again). This is one of
several drafts where I'm taking your advice and updating the
term "precedence".

The WGLC closed last week, so I've updated both drafts,
including several comments from original author (and IPPM WG
co-chair) Guy Almes, and a few typos/editorial points.

regards,
Al

From: [email-masked] [mailto:[email-masked]]
Sent: Wednesday, January 07, 2015 7:41 AM
To: [email-masked]; MORTON, ALFRED C (AL)
Cc: [email-masked]
Subject: AW: [ippm] WGLC for draft-ietf-ippm-2679-bis-00 and draft-ietf-ippm-2680-bis-00

Bill, Al

3.6 Methodologies:

3.8.1. Type-P

2.6 Methodologies:

2.8.1 Type-P

And one nit:

7. RFC 2680 bis

...9.

No content.

Regards,

Ruediger

Von: ippm [mailto:[email-masked]]
Gesendet: Dienstag, 6. Januar 2015 16:52
An: [email-masked]<mailto:[email-masked]>
Betreff: [ippm] WGLC for draft-ietf-ippm-2679-bis-00 and draft-ietf-ippm-2680-bis-00

Abstract:

Abstract:

Regards,

Bill Cerveny
IPPM WG Co-chair